Subject: Re: [PATCH net v2 3/5] macsec: fix secy->n_rx_sc accounting

From: Leon Romanovsky <[email-masked]>
Date: Sun, 30 Oct 2022 10:14:53 +0200

On Wed, Oct 26, 2022 at 11:56:25PM +0200, Sabrina Dubroca wrote:
> secy->n_rx_sc is supposed to be the number of _active_ rxsc's within a
> secy. This is then used by macsec_send_sci to help decide if we should
> add the SCI to the header or not.
> 
> This logic is currently broken when we create a new RXSC and turn it
> off at creation, as create_rx_sc always sets ->active to true (and
> immediately uses that to increment n_rx_sc), and only later
> macsec_add_rxsc sets rx_sc->active.
> 
> Fixes: c09440f7dcb3 ("macsec: introduce IEEE 802.1AE driver")
> Signed-off-by: Sabrina Dubroca <[email-masked]>
> ---
> v2: drop unnecessary !! (Leon Romanovsky)
> 

With comment from Jakub.

Thanks,
Reviewed-by: Leon Romanovsky <[email-masked]>